> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bizmori.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete webhook

> Delete a webhook.



## OpenAPI

````yaml /api-reference/openapi.yaml DELETE /api/v2/orders/webhooks/{webhookId}
openapi: 3.0.0
info:
  title: BIZ MORI API
  version: 2.0.0
  description: |
    BIZ MORI API provides four core services for digital content protection:
    - **Anti-AI**: Protect images from AI training
    - **Watermark Embed**: Embed invisible digital watermarks into images
    - **Watermark Extract**: Extract and verify watermarks from images
    - **AI Detection**: Detect whether an image is AI-generated
  contact:
    name: BIZ MORI Support
    email: support@bizmori.com
servers:
  - url: https://api.bizmori.com
    description: Production
security: []
tags:
  - name: Anti-AI
    description: Anti-AI image protection orders
  - name: Watermark Embed
    description: Watermark embedding orders
  - name: Watermark Extract
    description: Watermark extraction orders
  - name: AI Detection
    description: AI-generated image detection orders
  - name: Orders
    description: Order query and management
  - name: Webhooks
    description: Webhook configuration and events
paths:
  /api/v2/orders/webhooks/{webhookId}:
    delete:
      tags:
        - Webhooks
      summary: Delete webhook
      description: Delete a webhook.
      parameters:
        - in: path
          name: webhookId
          required: true
          schema:
            type: integer
          description: Webhook ID
      responses:
        '200':
          description: Deleted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BaseResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: >-
            curl -X DELETE
            https://api.bizmori.com/api/v2/orders/webhooks/WEBHOOK_ID \
              -H "Authorization: Bearer YOUR_API_TOKEN"
        - lang: javascript
          label: JavaScript
          source: |-
            const webhookId = 'WEBHOOK_ID';
            const response = await fetch(
              `https://api.bizmori.com/api/v2/orders/webhooks/${webhookId}`,
              {
                method: 'DELETE',
                headers: { 'Authorization': 'Bearer YOUR_API_TOKEN' }
              }
            );
            const data = await response.json();
        - lang: python
          label: Python
          source: |-
            import requests

            webhook_id = 'WEBHOOK_ID'
            response = requests.delete(
                f'https://api.bizmori.com/api/v2/orders/webhooks/{webhook_id}',
                headers={'Authorization': 'YOUR_API_KEY'}
            )
            data = response.json()
components:
  schemas:
    BaseResponse:
      type: object
      properties:
        data:
          nullable: true
          description: Response data (null if no data)
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
          description: Error code
  responses:
    Unauthorized:
      description: Authentication failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            code: AUTH_NOT_AUTHENTICATED
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            code: RESOURCE_NOT_FOUND
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API Key for external client access

````